CREATE PROCEDURE [dbo].[spDeleteForum]
	@forum_id int
AS
BEGIN
	DELETE FROM tblForum WHERE forum_id=@forum_id;
	UPDATE tblForum SET forum_order = forum_order -1 
	WHERE forum_order > (SELECT forum_order FROM tblForum WHERE forum_id=@forum_id);
	DELETE FROM tblForumPosts WHERE forum_id=@forum_id;
	DELETE FROM tblForumTopics WHERE forum_id=@forum_id;
END